<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PenilaianFile extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $table = 'penilaian_file';
    protected $guarded = [];
    protected $primaryKey = 'PenilaianFileId';

    public function sekolah()
    {
        return $this->belongsTo(\App\Models\Master\Sekolah::class,'ms_sekolah_id','MsSekolahId');
    }

    public function page()
    {
        return $this->belongsTo(\App\Models\Master\FormKriteria::class,'page_number','page_number');
    }
}
